routes/web.php
<?php

use App\Http\Middleware\CheckRole;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\URL;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;

use App\Http\Middleware\CheckLoginAdmin;
use App\Http\Middleware\CheckLoginCustomer;
use App\Http\Controllers\Admin_manager\AreaController;
use App\Http\Controllers\Admin_manager\BillController;
use App\Http\Controllers\Admin_manager\PostController;
use App\Http\Controllers\Admin_manager\AdminController;
use App\Http\Controllers\Admin_manager\PitchController;
use App\Http\Controllers\Admin_manager\CategoryController;
use App\Http\Controllers\Admin_manager\CustomerController;
use App\Http\Controllers\Customer_manager\OrderController;
use App\Http\Controllers\Admin_manager\AdminAreaController;
use App\Http\Controllers\Admin_manager\DashboardController;
use App\Http\Controllers\Admin_manager\IntroduceController;
use App\Http\Controllers\Customer_manager\SocialController;

use App\Http\Controllers\Admin_manager\OrderAdminController;
use App\Http\Controllers\Customer_manager\ContactController;
use App\Http\Controllers\Admin_manager\MaintenanceController;
use App\Http\Controllers\Admin_manager\ProfileAdminController;
use App\Http\Controllers\Customer_manager\BillCustomerController;
use App\Http\Controllers\Customer_manager\PitchCustomerController;
use App\Http\Controllers\Admin_manager\AdminAuthenticateController;
use App\Http\Controllers\Admin_manager\BillPeriodicController;
use App\Http\Controllers\Customer_manager\ProfileCustomerController;
use App\Http\Controllers\Customer_manager\IntroduceCustomerController;
use App\Http\Controllers\Customer_manager\CustomerAuthenticateController;
use App\Models\BillPeriodic;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

if (App::environment() == 'production') {
    URL::forceScheme('https');
}

//home
Route::get('/', [HomeController::class, 'index'])->name('home');

//login admin
Route::get('/login-admin', [AdminAuthenticateController::class, 'indexLogin'])->name('login-admin');
Route::post('/login-admin-process', [AdminAuthenticateController::class, 'login'])->name('login-admin-process');


//quen mat khau admin
Route::get('/forget_password_admin', [AdminAuthenticateController::class, 'indexForgetPass']);
Route::post('/process_forget_pass_admin', [AdminAuthenticateController::class, 'forgetPassProcess']);

/**
 * login customer
 */
Route::get('/login-customer', [CustomerAuthenticateController::class, 'indexLogin'])->name('login-customer');
Route::post('/login', [CustomerAuthenticateController::class, 'login'])->name('login');

/**
 * quen mat khau khach hang
 */
Route::get('/forget_password', [CustomerAuthenticateController::class, 'forgetPassView'])->name('forget-pass-cus');
Route::post('/process_forget_pass_customer', [CustomerAuthenticateController::class, 'forgetPassCus']);
/**
 * Customer Register
 */
Route::get('/customer-register', [CustomerAuthenticateController::class, 'indexRegister'])->name('customer-register');
Route::post('/register', [CustomerAuthenticateController::class, 'register'])->name('register');
Route::get('/verify-register', [CustomerAuthenticateController::class, 'verifyRegister'])->name('verify-register');

/**
 * Login with google
 */
Route::get('login/google', [SocialController::class, 'redirectToGoogle'])->name('login-google');
Route::get('callback/google', [SocialController::class, 'callbackGoogle']);

//web
Route::get('/pitch_page/{id}', [PitchCustomerController::class, 'index'])->name('pitch_page');

//introduce
Route::get('/about-us', [IntroduceCustomerController::class, 'index'])->name('about-us');
Route::get('/contact-us', [ContactController::class, 'index'])->name('contact-us');

//post detail
Route::get('/post_detail/{id}', [HomeController::class, 'postDetail'])->name('post-detail');

//filter
Route::post('/pitch-filter', [PitchCustomerController::class, 'pitchFilter'])->name('pitch-filter');

//filter periodic
Route::post('/pitch-filter-periodic', [PitchCustomerController::class, 'filterOrderPeriodic'])->name('pitch-filter-periodic');

//pitch detail
Route::get('/pitch-detail/{area_id}/{pitch_id}', [PitchCustomerController::class, 'pitchDetail'])->name('pitch-detail');


//customer
Route::middleware([CheckLoginCustomer::class])->group(function () {
    //confirm order
    Route::get('/confirm', [OrderController::class, 'confirm'])->name('confirm');

    //confirm order periodic
    Route::get('/confirm-periodic', [OrderController::class, 'confirmPeriodic'])->name('confirm-periodic');

    //form order
    Route::post('/order/{area_id}/{pitch_id}', [OrderController::class, 'index'])->name('order');

    //order single
    Route::post('/order_process', [OrderController::class, 'store'])->name('order-process');
    //orderCart
    Route::post('/order_cart_process', [OrderController::class, 'storeCart'])->name('order-cart-process');

    // bill
    Route::get('/bill_page', [BillCustomerController::class, 'index'])->name('bill-page');
    Route::get('/bill_detail/{id}', [BillCustomerController::class, 'detail'])->name('bill-detail-customer');
    Route::delete('/destroy_process/{bill_id}', [BillCustomerController::class, 'destroy_process'])->name('bill_destroy');

    //bill periodic
    Route::get('/bill_periodic', [BillCustomerController::class, 'billPeriodic'])->name('bill-periodic-customer');
    Route::get('/bill_periodic_detail/{id}', [BillCustomerController::class, 'billPeriodicDetail'])->name('bill-periodic-detail-customer');
    Route::delete('/destroy_periodic/{id}', [BillCustomerController::class, 'destroyPeriodic'])->name('bill-periodic-destroy-customer');

    // Route::delete('/bill/destroy/{id}', [BillController::class, 'destroyPeriodicSingle'])->name('bill-periodic-destroy-single');

    // profile customer
    Route::resource('profile_customer', ProfileCustomerController::class);

    // change pass
    Route::get('/change_password', [CustomerAuthenticateController::class, 'changePassView'])->name('change-pass-cus');
    Route::post('/change_password_process/{id}', [CustomerAuthenticateController::class, 'changePassCus'])->name('change-pass-cus-process');

    //add to cart
    Route::get('/pitch/add-to-cart/{id}', [PitchCustomerController::class, 'addToCart'])->name('add-to-cart');
    Route::get('/pitch/show-cart', [PitchCustomerController::class, 'showCart'])->name('show-cart');
    Route::delete('/pitch/delete-cart-item/{id}', [PitchCustomerController::class, 'deleteCartItem'])->name('delete-cart-item');

    //logout
    Route::get('/log_out', [CustomerAuthenticateController::class, 'logout'])->name('log-out');

    //send bill to mail
    Route::get('send-bill-pdf-to-mail', [OrderController::class, 'billPdf'])->name('send-bill-pdf-to-mail');

    //point
    Route::post('point', [OrderController::class, 'point'])->name('point');
    //point cart
    Route::post('point-cart', [OrderController::class, 'point_cart'])->name('point-cart');
});

Route::get('/pdf', [OrderController::class, 'pdf']);

//admin 
Route::middleware([CheckLoginAdmin::class])->group(function () {
    //dashboard
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');

    // chart doanh thu
    Route::post('/chart-filter', [DashboardController::class, 'chartFilter'])->name('chart-filter');

    // supperadmin
    Route::middleware([CheckRole::class])->group(function () {
        Route::resource('admin', AdminController::class);
        Route::resource('area', AreaController::class);
        Route::resource('introduce', IntroduceController::class);
        Route::resource('admin_area', AdminAreaController::class);

        Route::post('/pitch-filter-periodic-admin', [OrderAdminController::class, 'filterOrderPeriodic'])->name('pitch-filter-periodic-admin');
    });
    //pitch filter
    Route::post('/pitch_filter', [OrderAdminController::class, 'pitchFilter'])->name('pitch-filter-admin');

    //order
    Route::get('/order_admin', [OrderAdminController::class, 'index'])->name('order-admin');
    Route::post('/order_admin_form/{area_id}/{pitch_id}', [OrderAdminController::class, 'formOrder'])->name('order-admin-form');
    Route::post('/order_admin_process', [OrderAdminController::class, 'store'])->name('order-admin-process');
    Route::get('/order_admin_confirm/{id}', [OrderAdminController::class, 'confirm'])->name('order-admin-confirm');

    //pdf
    Route::get('/export-pdf/{id}', [BillController::class, 'exportPDF'])->name('export-pdf');

    //export pdf have account
    Route::get('/export-bill-pdf/{id}', [BillController::class, 'exportBillPDFAccount'])->name('export-bill-pdf');

    //bill periodic
    Route::get('/export-bill-periodic-pdf/{id}', [BillPeriodicController::class, 'exportBillPDFPeriodic'])->name('export-bill-pdf-periodic');
    
    //bill periodic no account
    Route::get('/export-bill-periodic-pdf-no-account/{id}', [BillPeriodicController::class, 'exportBillPeriodicPDFNoAccount'])->name('export-bill-periodic-pdf-no-account');

    //export pdf no account
    Route::get('/export-bill-pdf-no-account/{id}', [BillController::class, 'exportBillPDFNoAccount'])->name('export-bill-pdf-no-account');

    Route::resource('customer', CustomerController::class);

    // CRUD pitch
    Route::resource('pitch', PitchController::class);

    // status
    Route::get('status', [PitchController::class, 'statusIndex'])->name('status');
    Route::get('status_create', [PitchController::class, 'statusCreate'])->name('status_create');
    Route::post('status_store', [PitchController::class, 'statusStore'])->name('status_store');

app/Http/Controllers/Admin_manager/AdminAreaController.php
<?php

namespace App\Http\Controllers\Admin_manager;

use App\Models\Area;
use App\Models\Bill;
use App\Models\Admin;
use App\Models\AdminArea;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AdminAreaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $admin_id = $request->session()->get('id');
        $admin = Admin::find($admin_id);
        $del_flag = $request->get('def_flag');

        // if ($admin->role == 0) {
        //     $bill = Bill::where('admin_id', '=', $admin->id)->where('status', 1)->get();
        // } else {
            $bill = Bill::where('status', 1)->get();
        // }

        if ($del_flag == null) {
            $del_flag = 1;
        }
        // $listArea = AreaModel::where('del_flag', $del_flag)->get();
        // $listAdmin = Admin::where('role', 0)->where('del_flag', $del_flag)->get();
        // $listAdmin = Admin::all()->load('area');

        $listAdmin = AdminArea::join('admins', 'admins.id', '=', 'admin_areas.admin_id')
            ->join('areas', 'areas.id', '=', 'admin_areas.area_id')
            ->where('admins.role', 0)
            ->get();
        // dd($listAdmin);

        return view('admin_manager.admin_area.index', [
            'listAdmin' => $listAdmin,
            'admin' => $admin,
            'bill' => $bill,
            'del_flag' => $del_flag,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        $id_admin = $request->session()->get('id');
        $admin = Admin::find($id_admin);
        // if ($admin->role == 0) {
        //     $bill = Bill::where('admin_id', '=', $admin->id)->where('status', 1)->get();
        // } else {
            $bill = Bill::where('status', 1)->get();
        // }
        $admin_id_arr = array();
        $area_id_arr = array();
        $list = AdminArea::where('del_flag', 1)->get();
        // dd($list);
        foreach ($list as $value) {
            array_push($admin_id_arr, $value->admin_id);
        }
        foreach ($list as $value) {
            array_push($area_id_arr, $value->area_id);
        }
        $listAdmin = Admin::where('role', 0)->where('del_flag', 1)->whereNotIn('id', $admin_id_arr)->get();
        // $listAdmin = Admin::where('role', 0)->where('del_flag', 1)->get();
        // $listArea = Area::where('del_flag', 1)->whereNotIn('id', $area_id_arr)->get();
        $listArea = Area::where('del_flag', 1)->get();
        // dd($listAdmin);
        return view('admin_manager.admin_area.create', [
            'bill' => $bill,
            'admin' => $admin,
            'listArea' => $listArea,
            'listAdmin' => $listAdmin,
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\StoreAdminXAreaRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validated = $request->validate([
            'admin_id' => 'required|',
            'area_id' => 'required|',
        ], [
            'admin_id.required' => "Nhân viên không được để trống!",
            'area_id.required' => "Khu vực không được để trống!",
            // 'admin_id.unique' => "Nhân viên đã quản lý khu vực khác!",
            // 'area_id.unique' => "Khu vực đã có người quản lý!",
        ]);

        $admin_id = $request->get('admin_id');
        $count_admin = Admin::where('id', $admin_id)->where('del_flag', 1)->count();

        if ($count_admin == 0) {
            return redirect()->back()->with('error', 'Không tồn tại nhân viên này!');
        }

        $area_id = $request->get('area_id');
        $count_area = Area::where('id', $area_id)->where('del_flag', 1)->count();

        if ($count_area == 0) {
            return redirect()->back()->with('error', 'Không tồn tại khu vực này!');
        }

        $adminxarea = new AdminArea();
        $adminxarea->admin_id = $admin_id;
        $adminxarea->area_id = $area_id;
        $adminxarea->del_flag = 1;
        $adminxarea->save();
        return redirect()->back()->with('success', 'Thêm thành công!');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\AdminXArea  $adminXArea
     * @return \Illuminate\Http\Response
     */
    public function show(AdminArea $adminXArea)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\AdminXArea  $adminXArea
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request, $id)
    {
        // try {
        $id_admin = $request->session()->get('id');
        $admin = Admin::find($id_admin);
        // if ($admin->role == 0) {
        //     $bill = Bill::where('admin_id', '=', $admin->id)->where('status', 1)->get();
        // } else {
            $bill = Bill::where('status', 1)->get();
        // }

        $admin_id_arr = array();
        $area_id_arr = array();
        $adminxarea = AdminArea::where('admin_id', $id)->firstOrFail();

        $list = AdminArea::where('del_flag', 1)->get();
        foreach ($list as $value) {
            array_push($admin_id_arr, $value->admin_id);
        }
        $area_id = $request->get('area_id');
        foreach ($list as $value) {
            array_push($area_id_arr, $value->area_id);
        }
        // $listAdmin = Admin::where('role', 0)->where('del_flag', 1)->whereNotIn('id', $admin_id_arr)->get();
        // $listArea = Area::where('del_flag', 1)->whereNotIn('id', $area_id_arr)->get();
        // dd($list);
        $listAdmin = Admin::where('id', $id)->where('role', 0)->where('del_flag', 1)->get();
        $listArea = Area::where('del_flag', 1)->get();

        return view('admin_manager.admin_area.edit', [
            'adminxarea' => $adminxarea,
            'bill' => $bill,
            'admin' => $admin,
            'listArea' => $listArea,
            'listAdmin' => $listAdmin,
        ]);
    }
    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateAdminXAreaRequest  $request
     * @param  \App\Models\AdminXArea  $adminXArea
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validated = $request->validate([
            'admin_id' => 'required|',
            'area_id' => 'required|',
        ], [
            'admin_id.required' => "Nhân viên không được để trống!",
            'area_id.required' => "Khu vực không được để trống!",
            // 'admin_id.unique' => "Nhân viên đã quản lý khu vực khác!",
            // 'area_id.unique' => "Khu vực đã có người quản lý!",
        ]);

        $adminxarea = AdminArea::find($id);

        $admin_id = $request->get('admin_id');
        dd($admin_id);

        $count_admin = Admin::where('id', $admin_id)->where('del_flag', 1)->count();

        if ($count_admin == 0) {
            return redirect()->back()->with('error', 'Không tồn tại nhân viên này!');
        }

        $area_id = $request->get('area_id');
        $count_area = Area::where('id', $area_id)->where('del_flag', 1)->count();

        if ($count_area == 0) {
            return redirect()->back()->with('error', 'Không tồn tại khu vực này!');
        }

        $adminxarea->admin_id = $admin_id;
        $adminxarea->area_id = $area_id;
        $adminxarea->del_flag = 1;
        $adminxarea->save();
        return redirect()->back()->with('success', 'Thêm thành công!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\AdminXArea  $adminXArea
     * @return \Illuminate\Http\Response
     */
    public function destroy(AdminArea $adminXArea)
    {
        //
    }
}

resources/views/admin_manager/admin/create.blade.php
@extends('layouts.admin')

@section('content')
    <a href="/admin" class="btn btn-primary">Quay lại</a>
    <h1>Thêm nhân viên</h1>
    {{-- validate --}}
    @if ($message = Session::get('success'))
        <div class="section cd-section section-notifications" id="notifications">
            <div class="alert alert-success">
                <div>
                    <div class="alert-icon">
                        <i class="material-icons">check</i>
                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="material-icons">clear</i></span>
                    </button>
                    <h3>{{ $message }}</h3>
                </div>
            </div>
        </div>
    @endif
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li><span style="font-size: 19px">{{ $error }}</span></li>
                @endforeach
            </ul>
        </div>
    @endif
    <form action="{{ route('admin.store') }}" method="post">
        @csrf
        <div class="table-responsive">
            <table class="table table-striped">
                <tr>
                    <th>
                        Họ Tên
                    </th>
                    <td>
                        <input type="text" name="name" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Email
                    </th>
                    <td>
                        <input type="text" name="email" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Password
                    </th>
                    <td>
                        <input type="password" name="password" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Giới tính
                    </th>
                    <td>
                        <input type="radio" name="gender" value="1" checked> Nam
                        <input type="radio" name="gender" value="0"> Nữ
                    </td>
                </tr>
                <tr>
                    <th>
                        Số điện thoại
                    </th>
                    <th>
                        <input type="text" name="phone" class="form-control" required>
                        </td>
                </tr>
                <tr>
                    <th>
                        Ngày sinh
                    </th>
                    <td>
                        <input type="date" name="date_birth" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Địa chỉ
                    </th>
                    <td>
                        <input type="text" name="address" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Vai trò
                    </th>
                    <td>
                        <input type="text" name="role" value="Nhân viên" class="form-control" readonly>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <button class="btn btn-info">Thêm nhân viên</button>
                    </td>
                </tr>
            </table>
        </div>
    </form>
@endsection

resources/views/admin_manager/admin/edit.blade.php
@extends('layouts.admin')

@section('content')
    @if ($message = Session::get('error'))
        <div class="section cd-section section-notifications" id="notifications">
            <div class="alert alert-danger">
                <div>
                    <div class="alert-icon">
                        <i class="material-icons">check</i>
                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="material-icons">clear</i></span>
                    </button>
                    <h3>{{ $message }}</h3>
                </div>
            </div>
        </div>
    @endif
    <a href="/admin" class="btn btn-primary">Quay lại</a>
    <h1>Sửa thông tin nhân viên</h1>
    {{-- validate --}}
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li><span style="font-size: 19px">{{ $error }}</span></li>
                @endforeach
            </ul>
        </div>
    @endif
    <form action="{{ route('admin.update', $admin_edit->id) }}" method="post">
        @method('PUT')
        @csrf
        <div class="table-responsive">
            <table class="table table-striped">
                <tr>
                    <th>
                        Họ Tên
                    </th>
                    <td><input type="text" name="name" value="{{ $admin_edit->name }}" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Email
                    </th>
                    <td>
                        <input type="text" name="email" value="{{ $admin_edit->email }}" class="form-control" required readonly>
                    </td>
                </tr>
                <tr>
                    <th>
                        Ngày sinh
                    </th>
                    <td><input type="date" name="date_birth" value="{{ $admin_edit->date_birth }}" class="form-control"
                            required></td>
                </tr>
                <tr>
                    <th>
                        Giới tính
                    </th>
                    <td>
                        <input type="radio" name="gender" value="1" id="1" @if ($admin_edit->gender == 1) checked @endif>
                        <label for="1">Nam</label>
                        <input type="radio" name="gender" value="0" id="0" @if ($admin_edit->gender == 0) checked @endif>
                        <label for="0">Nữ</label>
                    </td>
                </tr>
                <tr>
                    <th>
                        Số điện thoại
                    </th>
                    <td><input type="text" name="phone" value="{{ $admin_edit->phone }}" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Địa chỉ
                    </th>
                    <td><input type="text" name="address" value="{{ $admin_edit->address }}" class="form-control"
                            required></td>
                </tr>
                <tr>
                    <th>
                        Trạng thái hoạt động
                    </th>
                    <td>
                        <input type="radio" name="del_flag" id="2" value="1" @if ($admin_edit->del_flag == 1) checked @endif><label for="2">Hoạt
                            động</label>
                        <input type="radio" name="del_flag" id="3" value="0" @if ($admin_edit->del_flag == 0) checked @endif><label for="3">Nghỉ
                            việc</label>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <button class="btn btn-info">Cập nhật</button>
                    </td>
                </tr>
            </table>
        </div>
    </form>
@endsection

resources/views/admin_manager/admin/index.blade.php
@extends('layouts.admin')

@section('content')
@if ($message = Session::get('success'))
<div class="section cd-section section-notifications" id="notifications">
    <div class="alert alert-success">
        <div>
            <div class="alert-icon">
                <i class="material-icons">check</i>
            </div>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true"><i class="material-icons">clear</i></span>
            </button>
            <h3>{{ $message }}</h3>
        </div>
    </div>
</div>
@endif
    <h1>Danh sách nhân viên</h1>
    <form action="" method="get">
        <div class="col-md-3 col-sm-2">
        <select name="def_flag" class="selectpicker" data-style="btn btn-primary btn-round">
            <option value="1" @if ($del_flag==1) selected @endif>Hoạt động</option>
            <option value="0" @if ($del_flag==0) selected @endif>Không hoạt động</option>
        </select>
        </div>
        <div class="col-md-5 col-sm-2">
            <button class="btn btn-info">Chọn</button>
        </div>
</form>
    <a href="{{ route('admin.create') }}" class="btn btn-primary"><i class="material-icons">person_add</i>Thêm nhân viên</a>
    <div class="material-datatables">
    @if ($listAdmin->count() == 0)
        {{ "Không có bản ghi" }}
    @else
    <div class="table-responsive">
        <table id="datatables" class="table table-striped table-no-bordered table-hover" cellspacing="0" width="100%" style="width:100%">
        <thead>
            <tr>
                <th>STT</th>
                <th>Họ Tên</th>
                <th>Email</th>
                <th>Ngày sinh</th>
                <th>Giới tính</th>
                <th>Số điện thoại</th>
                <th>Địa chỉ</th>
                <th>Trạng thái</th>
                <th>Sửa thông tin</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th>STT</th>
                <th>Họ Tên</th>
                <th>Email</th>
                <th>Ngày sinh</th>
                <th>Giới tính</th>
                <th>Số điện thoại</th>
                <th>Địa chỉ</th>
                <th>Trạng thái</th>
                <th>Sửa thông tin</th>
            </tr>
        </tfoot>
            <?php $i = 0 ?>
            @foreach ($listAdmin as $data)
                    <?php $i++ ?>
                <tr>
                    <td>{{ $i }}</td>
                    <th><b>{{ $data->name }}</b></th>
                    <td width="25%">{{ $data->email }}</td>
                    <td>{{ $data->date_birth }}</td>
                    <td>{{ $data->GenderName }}</td>
                    <td>{{ $data->phone }}</td>
                    <td>{{ $data->address }}</td>
                    <td>
                        {{ $data->del_flag == 1 ? 'Hoạt động' : 'Ngừng hoạt động' }}
                    </td>
                    <td><a href="{{ route('admin.edit', $data->id) }}" class="btn btn-success">Sửa</a></td>
                </tr>
            @endforeach
        </table>
    </div>
    @endif
</div>
@endsection